%global packname  colorspace
%global rlibdir  %{_libdir}/R/library


Name:             R-%{packname}
Version:          1.3.2
Release:          1%{?dist}.68
Summary:          Color Space Manipulation

Group:            Applications/Engineering 
License:          BSD_3_clause + file LICENSE
URL:              http://cran.r-project.org/web/packages/%{packname}/index.html
Source0:          http://cran.r-project.org/src/contrib/%{packname}_1.3-2.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# Here's the R view of the dependencies world:
# Depends:   R-methods
# Imports:   R-graphics R-grDevices
# Suggests:  R-datasets R-stats R-utils R-KernSmooth R-MASS R-kernlab R-mvtnorm R-vcd R-dichromat R-tcltk R-shiny R-shinyjs
# LinkingTo:
# Enhances:


Requires:         R-methods 
Requires:         R-graphics R-grDevices 
#Requires:         R-datasets R-stats R-utils R-KernSmooth R-MASS R-kernlab R-mvtnorm R-vcd R-dichromat R-tcltk R-shiny R-shinyjs 
BuildRequires:    R-devel tex(latex) R-methods
BuildRequires:    R-graphics R-grDevices 
#BuildRequires:   R-datasets R-stats R-utils R-KernSmooth R-MASS R-kernlab R-mvtnorm R-vcd R-dichromat R-tcltk R-shiny R-shinyjs 

%description
Carries out mapping between assorted color spaces including RGB, HSV, HLS,
CIEXYZ, CIELUV, HCL (polar CIELUV), CIELAB and polar CIELAB. Qualitative,
sequential, and diverging color palettes based on HCL colors are provided
along with an interactive palette picker (with either a Tcl/Tk or a shiny

%prep
%setup -q -c -n %{packname}

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css

%check
_R_CHECK_FORCE_SUGGESTS_=false %{_bindir}/R CMD check %{packname}

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS
%doc %{rlibdir}/%{packname}/CITATION
%license %{rlibdir}/%{packname}/LICENSE
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/data
%{rlibdir}/%{packname}/hclwizard
%{rlibdir}/%{packname}/libs
%{rlibdir}/%{packname}/help


%changelog
* Wed Jan 18 2017 Oleg Girko <ol@infoserver.lv> 1.3.2-1
- Initial package for Fedora
